local orig_ew = CharacterTweakData._set_easy_wish
function CharacterTweakData:_set_easy_wish()
	orig_ew(self, tweak_data)
	self:_set_characters_weapon_preset("easywish")
end


function CharacterTweakData:_set_characters_weapon_preset(preset)
	local all_units = {
		"security",
		"cop",
		"fbi",
		"swat",
		"fbi_swat",
		"fbi_heavy_swat",
		"heavy_swat",
		"gangster",
		"medic",
		"spooc",
		"tank",
		"tank_mini",
		"tank_medic",
		"shield"
	}

	for _, name in ipairs(all_units) do
		self[name].weapon = self.presets.weapon[preset]
	end
end